/*
   miniftp.c
     test program for ftp32(.dll)
     for UNIX/Windows
     by Yoshioka Tsuneo.(QWF00133@nifty.ac.jp)
     This file is Public Domain.
*/

#ifdef WIN32
/* for windows dll */
#include <windows.h>
#else
/* for unix static link library */
#include "ftp32api.h"
#endif
#include <stdio.h>
#include <string.h>

int main(int argc,char *argv[])
{
#ifdef WIN32
	HANDLE hLib;
	int (WINAPI * Ftp)(HWND hwnd,char *cmdline,char *output,int outlen);
	short (WINAPI * FtpGetVersion)();
#endif
	int ver;
	char output[10001];
	int outlen=10000;
	char cmdline[2000]="";
	int ret;
	int i;

	if(strstr(argv[0],"get") || strstr(argv[0],"Get") || strstr(argv[0],"GET")){
		strcat(cmdline,"-x ");
	}else if(strstr(argv[0],"put") || strstr(argv[0],"Put") || strstr(argv[0],"PUT")){
		strcat(cmdline,"-x ");
	}

	for(i=1;i<argc;i++){
		strcat(cmdline,argv[i]);
		strcat(cmdline," ");
	}
#ifdef WIN32
	hLib = LoadLibrary("ftp32.dll");
	if(hLib==NULL){
		puts("Can't Load Library");
		return 1;
	}
	if((FtpGetVersion = GetProcAddress(hLib,"FtpGetVersion"))==NULL){
		puts("Can't Find FtpGetVersion() API.");
		return 1;
	}
	if((Ftp = GetProcAddress(hLib,"Ftp"))==NULL){
		puts("Can't Find Ftp() API.");
		return 1;
	}
#endif
	ver = FtpGetVersion();
	ret = Ftp(NULL,cmdline,output,outlen);
	output[outlen]=0;
	puts(output);
	return ret;
}

